Subject: Re: [Question] Ascii histograms for repo structure

From: Justin Tobler <[email-masked]>
Date: Mon, 16 Mar 2026 07:46:18 -0500

On 26/03/16 02:56PM, K Jayatheerth wrote:
> Hi Justin,
> 
> I was catching up on the recent patch series
> builtin/repo: include largest object information
> _cc'ing everyone in the discussion_
> 
> The discussion with Patrick and Junio about
> adding object size and entry distributions (histograms)
> to the git repo structure output was interesting to me.
> 
> I noticed you mentioned planning to explore this in a follow-up series.
> I am currently finalizing my GSoC 2026 proposal to improve the git repo command,
> and I wanted to include implementing these streaming buckets
> and ASCII bar charts as one of my core project goals.
> 
> Before I officially commit to it in my proposal,
> I wanted to check in and see if you have already started working on
> this locally,
> or if you would be open to me picking it up as part of my GSoC
> project? I certainly
> don't want to step on your toes or duplicate any effort if you already
> have patches in flight.

I don't have anything started at the moment and would certainly be ok
with someone else picking up the topic. Thanks for taking an interest! :)

Thanks,
-Justin